Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3193 - iBCS emulation displays "SIG: sigpending lied" continuously
Summary: iBCS emulation displays "SIG: sigpending lied" continuously
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-01 13:24 UTC by Rob Landry
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Rob Landry 1999-06-01 13:24:34 UTC
When invoking a program that requires iBCS
emulation, the message "SIG: sigpending lied"
display constantly on the console until the program is
terminated. The message was traced to the
/usr/src/linux/kernel/signal.c file. I am unable to
determine the solution to the problem so I simply
commented out the message. After relinking the kernel the
system seems to operate normally.  However, somebody needs
to figure out the actual cause of the problem an effect
repairs.  I don't require a fix at this time. I just wanted
to report the problem (bugzilla is a bitch to use)

Comment 1 Rob Landry 1999-06-01 13:26:59 UTC
Posted per customer who entered bug in support system.

Comment 2 Michael K. Johnson 1999-07-29 21:48:59 UTC
This is flagged as a "sanity check".  We probably need to find out
whether all or only some iBCS programs cause this.  Alan, I presume
that you are the best one of us to deal with this...


Note You need to log in before you can comment on or make changes to this bug.